#!/bin/bash
sudo service srv1cv83 stop
sudo service ras stop

#Распаковываем архив с 1C
tar -xvf server*
#tar -xvf deb64*

for name in $(find . -iname setup*);
do
echo $name

if [[ $name =~ "setup" ]]
    then
        vers="1"
        vers=${name:13}
        vers=${vers::-11}
	echo $vers
    fi
done

sudo rm ras.service

cp ./ras1c.service ./ras.service

sudo sed -i 's|opt/1cv8/x86_64/ras|opt/1cv8/x86_64/'$vers'/ras|g' ./ras.service


./setup*.run

#dpkg -i *.deb
#apt-get install -f -y

#sudo rm -R ./license-tools
sudo rm *.pdf
sudo rm *.txt
sudo rm *.run

chown -R usr1cv8:grp1cv8 /opt/1cv8

apt install -y ttf-mscorefonts-installer
apt install -y fontconfig
fc-cache –fv


cp /opt/1cv8/x86_64/$vers/srv1cv8-$vers\@.service /lib/systemd/system/srv1cv83.service
chown root:root /lib/systemd/system/srv1cv83.service

sudo systemctl daemon-reload
sudo systemctl enable srv1cv83
sudo service srv1cv83 start
#Слежение за сервисом srv1cv83
#sudo service srv1cv83 start
#sudo service srv1cv83 stop
#service srv1cv83 status

sudo cp -f ras.service /etc/systemd/system/
chmod +x /etc/systemd/system/ras.service
sudo systemctl daemon-reload
sudo systemctl enable ras
sudo systemctl start ras
#Слежение за сервисом ras
#sudo service ras start
#sudo service ras stop
#service ras status
